/*** body footer ***/
.body-flex{
  margin: 0;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}
.wrap {
  flex: 1; /* 自動撐滿 */
}
/*** 字型相關***/
.font-18 {
    font-size: 18px;
}

.font-20 {
    font-size: 20px;
}

.font-24 {
    font-size: 24px;
}

.font-25 {
    font-size: 25px;
}

.font-28 {
    font-size: 28px;
}

.font-weight-700 {
    font-weight: 700;
}

.font-bold-black {
    color: #000000;
    font-weight: bold;
}

/*** 顏色***/
.color_1 {
    color: #0ABFD2
}

.color_2 {
    color: #FF5B33
}

.color_3 {
    color: #FFC233 !important;
}

/*** bg-color ***/
.bg-red {
    background: #C31B1B;
}

.bg-orange {
    background: #FF8133;
}

.bg-yellow {
    background: #FFC233;
}

/*** 商品頁***/
.cart_btn {
    height: 60px;
    /*width: 300px;*/
    border: 1px solid #FF5B33;
    color: #FF5B33;
    font-weight: 700;
    font-size: 28px;
    cursor: pointer;
}

.buy_btn {
    height: 60px;
    /*width: 300px;*/
    background-color: #FF5B33;
    font-weight: 700;
    font-size: 28px;
    color: white;
    cursor: pointer;
}

/***卡片相關 ***/

/*價格*/
.price {
    color: #C31B1B;
    font-size: 25px;
    font-weight: 700;
}

/*預購*/
.tag_blue {
    background-color: #0B7E8A;
    height: 44px;
    padding-left: 1%;
    padding-right: 4%;
    border-top-right-radius: 20px;
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 1;

}

/*預購中*/
.tag_green {
    background-color: #45BF3F;
    height: 44px;
    padding-left: 1%;
    padding-right: 4%;
    border-top-right-radius: 20px;
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 1;
}

/*開始*/
.tag_light_blue {
    background-color: #0ABFD2;
    height: 44px;
    padding-left: 1%;
    padding-right: 4%;
    border-top-right-radius: 20px;
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 1;
}

/* 剩餘/總共 */
.tag_red {
    background-color: #FF5B33;
    height: 44px;
    padding-left: 1%;
    padding-right: 4%;
    border-top-right-radius: 20px;
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 1;
}

/* .float_tag {
        position: absolute;
        left: 0;
        bottom: 0;
        z-index: 1;
        width: 70%;
        
    }*/

.float_tag2 {
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 1;
    width: 40%;
}

.navbar-h {
    height: 83px;
}

.text-gray {
    color: #ABABAB
}

.a-none {
    text-decoration: none;
}

.nav-link2 {
    color: #000000;
    font-weight: bold;
    font-size: 20px;
    text-decoration: none;
}

.nav-link3 {
    color: #000000;
    font-weight: bold;
    font-size: 20px;
    text-decoration: none;
}

.nav-link2:hover ,.nav-link3:hover {
    color: #0ABFD2
}



.bubble-father:hover .bubble-down{
     display: block; 
}

.bubble-down{
    filter: drop-shadow(0 -2px 3px rgba(0, 0, 0, 0.1));
    display: none;
    position: absolute;
    width: 100%;
}
    
/* 用 div 做三角形（可 hover） */
.arrow {
  position: absolute;
  top: -20px;        
  left: 70%;   
  width: 0;
  height: 0;
  border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  border-bottom: 20px solid white;
   /*margin-left: 60%; 位置可調整 */
  
}
.bubble-menu{
  position: absolute;
  top: 100%;
  left: 0;
  background: white;
  padding: 10px 20px;
  width: 110%;
}


.bg-gray {
    background-color: #DDDDDD;
}


/*跑馬燈*/
.marquee-simple {
    overflow: hidden;
    white-space: nowrap;
    width: 100%;
    box-sizing: border-box;
    /*border: 1px solid #ddd;*/
    padding: 8px 12px;
    /*background: #fff;*/
    color: #fff;
}

.marquee-inner {
    display: inline-block;
    padding-left: 100%;
    /* 文字從容器右側開始 */
    animation: marquee-simple 30s linear infinite;
}

.marquee-bg {
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* 向左移動 */
@keyframes marquee-simple {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-100%);
    }

    /* 移動一個自身寬度 */
}

@media screen and (max-width:988px) {
    .bar {
        display: none;
    }

    ;

}


@media screen and (min-width:988px) {
    .pd-size {
        height: 304px;
    }

    ;


}

.pd-size {
    aspect-ratio: 1 / 1;
    object-fit: contain;
    background: #fff;
}

/***banner ***/
/*左右箭頭*/
.banner-btn-prev {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 5%;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    color: #fff;
    text-align: center;
    background: 0 0;
    filter: var(--bs-carousel-control-icon-filter);
    border: 0;
    transition: opacity .15s ease;
}

.banner-btn-next {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 5%;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;

    padding: 0;
    color: #fff;
    text-align: center;
    background: 0 0;
    filter: var(--bs-carousel-control-icon-filter);
    border: 0;
    transition: opacity .15s ease;
}

.circle-blue {
    background-color: #0ABFD2;
    border-radius: 50%;
    height: 50px;
    width: 50px;
}

.circle-blue:hover {
    opacity: 0.6;
}

/*底部那一排*/
.carousel-indicators [data-bs-target] {
    width: 10px;
    height: 10px;
    margin-right: 1%;
    border-radius: 50%;
    /* 圓形 */
    background-color: #ccc;
    /* 預設灰色 */
    transition: all 0.3s ease;
    /* 平滑過渡 */
}

.carousel-indicators .active {
    background-color: #0ABFD2;
    /* 啟用的顏色 */
    /*
        width: 10px;
         可以略大 
        height: 10px;
        */
}

/*** 右下懸浮 ****/
.fixed-icon {
    position: fixed;
    right: 20px;
    /* 靠右 */
    bottom: 20px;
    /* 靠下 */
    display: flex;
    flex-direction: column;
    /* 垂直排列 */
    gap: 10px;
    /* 兩個 icon 間距 */
    z-index: 1000;
}


/***輪播圖***/
.owl-prev-btn,
.owl-next-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    border: none;
    padding: 10px 15px;
    border-radius: 50%;
    cursor: pointer;
    transition: background 0.3s ease;
    z-index: 100;
}

.owl-prev-btn {
    left: 1%;
}

.owl-next-btn {
    right: 1%;
}

.owl-title {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

/*** 購物車:購物數量 ***/
.cart-pill {
    background-color: #0ABFD2;
    width: 40px;
    padding: 10% 25%;
    display: inline-block;
    border-radius: 4em;
}

/*** FB IG 黑色圓圈背景 ***/
.black-cirlce-80 {
    height: 80px;
    width: 80px;
    background-color: #000000;
    border-radius: 50%;
}

/*** 相對位置置中 ***/
.p-center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.trans-center {
    transform: translate(-50%, -50%);
}




/*** 備用工具 ****/
.card-box-shadow {
    box-shadow: 0px 4px 24px #15161e;
    border: 0;
}

.card-item {
    text-decoration: none;
    overflow: hidden;
}

.blur-box {
    backdrop-filter: blur(3px);
    /* 模糊背景 */
    -webkit-backdrop-filter: blur(3px);
    /* Safari 支援 */
}

.neu-outset {
    background: #e0e0e0;
    box-shadow: 6px 6px 12px #bebebe,
        -6px -6px 12px #ffffff;
}


.bg-img-1 {
    background-image: url('img/night2.jpg');
    background-size: cover;
    background-position: center;
}

@media screen and (min-width:988px) {
    .border-lg-start {
        border-left: 1px solid #000000
    }


}
/*** ***/
.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.5);
    /* 半透明黑 */
    /*backdrop-filter: blur(3px);       可選：背景模糊 */
    z-index: 9999;
    /* 確保蓋在最上面 */
}
/*** 登入註冊頁面btn ***/
.btn-blue-light {
    background: #0ABFD2;
    color: white;
}


.btn-blue-light:hover {
    background: #0ABFD2;
    color: white;
}

.btn-orange {
    background: #FF5B33;
    ;
    color: white;
}

.btn-orange:hover {
    background: #FF5B33;
    color: white;
}

/*** 會員左側menu ***/
.member-box {
    width: 300px;
    height: 325px;
    border-radius: 25px;
}

.member-head {
    width: 180px;
    height: 180px;
    border-radius: 50%;
    top: 10%;
    left: 20%;

    background-size: cover;
    background-position: center;
}

.member-body {
    top: 210px;
    bottom: auto;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    padding: 0 18px;
}

.member-body h2 {
    font-size: 30px;
    line-height: 1.2;
    word-break: break-word;
    margin-bottom: 8px;
}

.btn-pwd {
    border: 2px solid #0ABFD2;
    background: white;
    color: #0ABFD2;
    border-radius: 75px;
    width: 200px;
    height: 60px;
}

.blue-light-hover {
    color: black;
}

.blue-light-hover:hover {
    color: #0ABFD2;
}

.border-bottom-blue-light {
    border-bottom: 5px solid #0ABFD2;
}

[v-cloak] {
    display: none;
}
